Skip to main content
POST
/
generate
/
image
/
bytedance
/
seedream-5-pro
Seedream 5 Pro
curl --request POST \
  --url https://api.krea.ai/generate/image/bytedance/seedream-5-pro \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A gothic cathedral, its spires reaching for the heavens, surrounded by blooming gardens.",
  "width": 1024,
  "height": 1024
}
'
import requests

url = "https://api.krea.ai/generate/image/bytedance/seedream-5-pro"

payload = {
"prompt": "A gothic cathedral, its spires reaching for the heavens, surrounded by blooming gardens.",
"width": 1024,
"height": 1024
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A gothic cathedral, its spires reaching for the heavens, surrounded by blooming gardens.',
width: 1024,
height: 1024
})
};

fetch('https://api.krea.ai/generate/image/bytedance/seedream-5-pro', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Pricing

Fixed API prices in USD.
ResolutionTierReference ImagesPrice
1.5k0$0.0473
1.5k1$0.0473
1.5k2$0.0504
1.5k3$0.0536
1.5k4$0.0567
1.5k5$0.0599
1.5k6$0.063
1.5k7$0.0662
1.5k8$0.0693
1.5k9$0.0725
1.5k10$0.0756
2k0$0.0945
2k1$0.0945
2k2$0.0977
2k3$0.1008
2k4$0.104
2k5$0.1071
2k6$0.1103
2k7$0.1134
2k8$0.1166
2k9$0.1197
2k10$0.1229
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
styleImagesstyle_images2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
Minimum string length: 1
width
number
required
Required range: x <= 4096
height
number
required
Required range: x <= 4096
seed
number
default:1337
style_images
object[]

Image prompts to use for the generation

Maximum array length: 10

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
completed_at
null
required
result
null
required
error
object